# Generated by Django 4.2.16 on 2024-09-18 10:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('beacon', '0009_statistics_country'),
    ]

    operations = [
        migrations.CreateModel(
            name='BugCluster',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('read', models.BooleanField()),
                ('solved', models.BooleanField()),
                ('latest_paperwork_version', models.CharField(db_index=True, max_length=64)),
                ('latest_report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beacon.bugreport')),
                ('nb_tracebacks', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Traceback',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('line_start', models.IntegerField()),
                ('line_end', models.IntegerField()),
                ('cluster', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beacon.bugcluster')),
                ('log_file', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beacon.bugreportattachment')),
            ],
        ),
    ]
